Skip to content

Software Downloads

Reference for the software_downloads endpoints of the Surfmeter API.

Surfmeter API – Software Downloads v1

The Surfmeter API lets you manage clients, users, capabilities, measurements, and organization-wide settings programmatically.


Servers

Description URL
https://surfmeter-server.{host}/client_admin_api/v1 https://surfmeter-server.{host}/client_admin_api/v1

Software Downloads


GET /software/downloads

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.

Response 200 OK

{
    "provider": "string",
    "customer": "string",
    "components": [
        {
            "id": "automator",
            "label": "string",
            "versions": [
                {
                    "version": "string",
                    "filename": "string",
                    "url": "string"
                }
            ],
            "latest": null
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "required": [
        "provider",
        "customer",
        "components"
    ],
    "additionalProperties": false,
    "properties": {
        "provider": {
            "type": "string"
        },
        "customer": {
            "type": "string"
        },
        "components": {
            "type": "array",
            "items": {
                "type": "object",
                "required": [
                    "id",
                    "label",
                    "versions",
                    "latest"
                ],
                "additionalProperties": false,
                "properties": {
                    "id": {
                        "type": "string",
                        "enum": [
                            "automator",
                            "lab",
                            "configuration"
                        ]
                    },
                    "label": {
                        "type": "string"
                    },
                    "versions": {
                        "type": "array",
                        "items": {
                            "type": "object",
                            "required": [
                                "version",
                                "filename",
                                "url"
                            ],
                            "additionalProperties": false,
                            "properties": {
                                "version": {
                                    "type": "string"
                                },
                                "filename": {
                                    "type": "string"
                                },
                                "url": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "latest": {
                        "anyOf": [
                            {
                                "type": "null"
                            },
                            {
                                "type": "object",
                                "required": [
                                    "version",
                                    "filename",
                                    "url",
                                    "resolved_url",
                                    "download_command",
                                    "extract_command"
                                ],
                                "additionalProperties": false,
                                "properties": {
                                    "version": {
                                        "type": "string"
                                    },
                                    "filename": {
                                        "type": "string"
                                    },
                                    "url": {
                                        "type": "string"
                                    },
                                    "resolved_url": {
                                        "type": "string"
                                    },
                                    "download_command": {
                                        "type": "string"
                                    },
                                    "extract_command": {
                                        "type": "string"
                                    }
                                }
                            }
                        ]
                    }
                }
            }
        }
    }
}

Schemas

SoftwareDownloadsIndexResponse

Name Type
components Array<Properties: id, label, versions, latest>
customer string
provider string

Security schemes

Name Type Scheme Description
ApiKeyAuth apiKey API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.